function realdata = read1r(filename)
% This program has been created by Jean-Nicolas Dumez Ludmilla Guduff, and Corentin Jacquemmoz, 
% CEISAM, CNRS, Université de Nantes, France
% The authors are not responsible for the results obtained with this program
% This program can be used, modified and shared as long as the authors are
% credited and the program is share under the same conditions
% Please do not delete this header from the file.
% READBRUKERDATA(filename) reads a binary file that contains 2*
% npoints, which corresponds to the real and imaginary part of the raw
% data, interleaved

% Open the file and read 2* npoints

% For the 600X, the files are big endian, for the 600G, they are little
% endian

id=fopen(filename, 'r', 'b');		
[realdata, ~] = fread(id, 'int32');
fclose(id);

end